Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations.media

## Annotation Type DependentRequired

    public @interface DependentRequired

A property name and an associated list of other property names.

Used with `Schema.dependentRequired()`, if an object has a property named `name()`, it must also have properties with the names in `requires()`.

See Also:
  `Schema.dependentRequired()`

### Required Element Summary

Required Elements
`String` `name` The property name to look for
`String[]` `requires` The property names that an object is required to have, if it has a property named `name()`

### Element Detail

#### name

    String name

The property name to look for

Returns:
  a property name

#### requires

    String[] requires

The property names that an object is required to have, if it has a property named `name()`

Returns:
  the required property names